## org.hibernate.metamodel.source
Interface BindingContext

All Known Subinterfaces:
  AnnotationBindingContext, HbmBindingContext, LocalBindingContext, MetadataImplementor

All Known Implementing Classes:
  AnnotationBindingContextImpl, EntityBindingContext, MetadataImpl

    public interface BindingContext

Method Summary
`MappingDefaults` `getMappingDefaults()`
`MetadataImplementor` `getMetadataImplementor()`
`NamingStrategy` `getNamingStrategy()`
`ServiceRegistry` `getServiceRegistry()`
`boolean` `isGloballyQuotedIdentifiers()`

`

`<T> Class<T>`

`

`locateClassByName(String name)`

`Value<Class<?>>` `makeClassReference(String className)`
`Type` `makeJavaType(String className)`
`String` `qualifyClassName(String name)`

Method Detail

### getServiceRegistry

    ServiceRegistry getServiceRegistry()

### getNamingStrategy

    NamingStrategy getNamingStrategy()

### getMappingDefaults

    MappingDefaults getMappingDefaults()

### getMetadataImplementor

    MetadataImplementor getMetadataImplementor()

### locateClassByName

    <T> Class<T> locateClassByName(String name)

### makeJavaType

    Type makeJavaType(String className)

### isGloballyQuotedIdentifiers

    boolean isGloballyQuotedIdentifiers()

### makeClassReference

    Value<Class<?>> makeClassReference(String className)

### qualifyClassName

    String qualifyClassName(String name)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.